Bug 1291724 - Missing tenant stuff in conditions for policies
Missing tenant stuff in conditions for policies
Status: CLOSED WONTFIX
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.6
Assigned To: Gregg Tanzillo
Pavol Kotvan
tenant_cfme:control
: ZStream
Depends On: 1236001
Blocks: 1245696
  Show dependency treegraph
 
Reported: 2015-12-15 08:51 EST by John Prause
Modified: 2017-08-01 16:25 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1236001
Environment:
Last Closed: 2017-08-01 16:25:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2016-01-04 16:09:11 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=77677d5ef2f0858bf81cb9f291ea5f39ed8b1cf5

commit 77677d5ef2f0858bf81cb9f291ea5f39ed8b1cf5
Merge: 1b03fa6 0d2a48a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Jan 4 16:03:45 2016 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Jan 4 16:03:45 2016 -0500

    Merge branch 'bz-1291724-cloud-tenant-in-conditions-ds' into '5.5.z'
    
    Include reflections of descendant classes when building model details for report ing and expression editors
    
    - Enabled only for Vm and Host models
    - Enables inclusion of cloud tenants under an openstack VM in reports and expressions
    - Enables inclusion of cloud networks under an openstack Host
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1291724
    
    Cherry-picked from https://github.com/ManageIQ/manageiq/pull/5506
    Cherry-pick was not clean. There were conflicts in config/locales/en.yml which I resolved.
    
    See merge request !624

 app/models/host.rb                                |  4 ++++
 app/models/miq_expression.rb                      |  9 +++++++--
 app/models/vm.rb                                  |  4 ++++
 config/locales/en.yml                             |  3 +++
 spec/models/miq_expression/miq_expression_spec.rb | 17 +++++++++++++++++
 5 files changed, 35 insertions(+), 2 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.